import 'package:diplomaticquarterapp/pages/AlHabibMedicalService/health_calculator/doctor_list.dart';
import 'package:diplomaticquarterapp/widgets/buttons/button.dart';
import 'package:diplomaticquarterapp/widgets/data_display/text.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:diplomaticquarterapp/widgets/transitions/fade_page.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class OvulationResult extends StatelessWidget {
  var dateFrom;
  var dateTo;
  var conceivedDate;
  var deliveryDue;
  var babyAge;
  var babyAgeDays;

  OvulationResult({
    this.dateFrom,
    this.dateTo,
    this.deliveryDue,
    this.conceivedDate,
    this.babyAge,
    this.babyAgeDays,
  });
  //var newFormat = DateFormat("yy-MM-dd");

  @override
  Widget build(BuildContext context) {
    return AppScaffold(
      isShowAppBar: true,
      appBarTitle: 'Ovulation Period',
      body: Padding(
        padding: EdgeInsets.symmetric(horizontal: 30.0, vertical: 15.0),
        child: SingleChildScrollView(
          child: Container(
            height: 750.0,
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              children: [
                Texts(
                  'The next ovulation period is estimated to be:',
                  fontWeight: FontWeight.w400,
                ),
                Texts(
                  'From:',
                  fontWeight: FontWeight.w400,
                ),
                Texts(
                  DateFormat.yMMMEd().format(dateFrom),
                  fontWeight: FontWeight.w800,
                  fontSize: 21.0,
                ),
                Texts(
                  'To:',
                  fontWeight: FontWeight.w400,
                ),
                Texts(
                  DateFormat.yMMMEd().format(dateTo),
                  fontWeight: FontWeight.w800,
                  fontSize: 21.0,
                ),
                Texts(
                  'Useful Information:',
                  color: Color(0xffC5272D),
                ),
                Texts(
                  'You have conceived on:',
                  fontWeight: FontWeight.w400,
                ),
                Texts(
                  DateFormat.yMMMEd().format(conceivedDate),
                  fontWeight: FontWeight.w800,
                  fontSize: 21.0,
                ),
                Texts(
                  'The baby\'s age right now:',
                  fontWeight: FontWeight.w400,
                ),
                Texts(
                  babyAge <= 0 ? "baby age is not available" : babyAge.toString() + " Weeks," + "3",
                  fontWeight: FontWeight.w800,
                  fontSize: 21.0,
                ),
                Texts(
                  'The delivery due date is estimated to be on the: ',
                  fontWeight: FontWeight.w400,
                ),
                Texts(
                  DateFormat.yMMMEd().format(deliveryDue),
                  fontWeight: FontWeight.w800,
                  fontSize: 21.0,
                ),
                Container(
                  width: 350,
                  child: Button(
                    label: 'See List Of Doctors',
                    onTap: () {
                      Navigator.push(
                        context,
                        FadePage(page: DoctorList()),
                      );
                    },
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
